org.apache.log4j.pattern

## Class ExtrasPatternParser

- java.lang.Object
- - org.apache.log4j.pattern.ExtrasPatternParser

-     public final class ExtrasPatternParser
      extends Object

  Most of the work of the `EnhancedPatternLayout` class is delegated to the ExtrasPatternParser class.

  It is this class that parses conversion patterns and creates a chained list of `PatternConverters`.

  Author:
    James P. Cakalic, Ceki Gülcü, Anders Kristensen, Paul Smith, Curt Arnold

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Map` | `getFileNamePatternRules()` Get standard format specifiers for rolling file appender file specification.
    `static Map` | `getPatternLayoutRules()` Get standard format specifiers for EnhancedPatternLayout.
    `static void` | `parse(String pattern, List patternConverters, List formattingInfos, Map converterRegistry, Map rules)` Parse a format specifier.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getPatternLayoutRules

          public static Map getPatternLayoutRules()

      Get standard format specifiers for EnhancedPatternLayout.
      Returns:
        read-only map of format converter classes keyed by format specifier strings.

    - #### getFileNamePatternRules

          public static Map getFileNamePatternRules()

      Get standard format specifiers for rolling file appender file specification.
      Returns:
        read-only map of format converter classes keyed by format specifier strings.

    - #### parse

          public static void parse(String pattern,
                   List patternConverters,
                   List formattingInfos,
                   Map converterRegistry,
                   Map rules)

      Parse a format specifier.
      Parameters:
        `pattern` - pattern to parse.
        `patternConverters` - list to receive pattern converters.
        `formattingInfos` - list to receive field specifiers corresponding to pattern converters.
        `converterRegistry` - map of user-supported pattern converters keyed by format specifier, may be null.
        `rules` - map of stock pattern converters keyed by format specifier.

Copyright © 2013 The Apache Software Foundation. Licensed under the Apache License, Version 2.0

Apache Extras for Apache log4j, Apache log4j and Apache are trademarks of the Apache Software Foundation.